package com.kdanmobile.reader.screen.view.edit

import android.content.Context
import android.support.constraint.ConstraintLayout
import android.util.AttributeSet
import android.view.LayoutInflater
import android.widget.SeekBar
import com.kdanmobile.reader.R
import kotlinx.android.synthetic.main.view_viewer_edit_tab_text_box.view.*

class TextBoxTabView : ConstraintLayout {

    constructor(context: Context) : super(context) {
        initView()
    }

    constructor(context: Context, attrs: AttributeSet) : super(context, attrs) {
        initView()
    }

    constructor(context: Context, attrs: AttributeSet, defStyle: Int) : super(context, attrs, defStyle) {
        initView()
    }

    private fun initView() {
        LayoutInflater.from(context).inflate(R.layout.view_viewer_edit_tab_text_box, this)

        titleButton_textBox.onButtonClickListener = OnClickListener { _ ->
            println("onButtonClick")
        }

        textAttrView_textBox.onTextAttrClickListener = object : TextAttrView.OnTextAttrClickListener {
            override fun onBoldClick(isSelected: Boolean) {
                println("onBoldClick $isSelected")
            }

            override fun onItalicClick(isSelected: Boolean) {
                println("onItalicClick $isSelected")
            }

            override fun onAlignmentClick(gravity: Int) {
                println("onAlignmentClick $gravity")
            }
        }

        seekBar_textBox_textSize.onSeekBarChangeListener = object : SeekBar.OnSeekBarChangeListener {
            override fun onProgressChanged(seekBar: SeekBar, progress: Int, fromUser: Boolean) {
                println("onProgressChanged $progress")
            }

            override fun onStartTrackingTouch(seekBar: SeekBar) {
            }

            override fun onStopTrackingTouch(seekBar: SeekBar) {
            }
        }
    }
}